NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder Class Reference

This builder allows you to define the pendulum placement information for bumper pendulum features in vehicle design. More...

Inheritance diagram for NXOpen::Features::VehicleDesign::PendulumPlacementBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  LocationType { LocationTypeFront, LocationTypeRear }
 This enum represents the pendulum placement location options. More...
 
enum  PendulumProfileType { PendulumProfileTypeEu, PendulumProfileTypeUs }
 This enum represents the pendulum placement profile options. More...
 
enum  PositionMethodType {
  PositionMethodTypeMiddleBaseData, PositionMethodTypeMiddleVehicle, PositionMethodTypeRotatedBaseData, PositionMethodTypeRotatedPlane,
  PositionMethodTypeRotatedPlaneX, PositionMethodTypeRotatedPlaneNormal, PositionMethodTypeRotatedContact, PositionMethodTypeShiftedBaseData,
  PositionMethodTypeShiftedVehicle, PositionMethodTypeShiftedFromRotated
}
 This enum represents the pendulum placement method options. More...
 
enum  SideType { SideTypeLeft, SideTypeRight }
 This enum represents the pendulum placement side options. More...
 

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the rotation angle of this pendulum. More...
 
NXOpen::NXColorColor ()
 Returns the display color of this pendulum. More...
 
NXOpen::ExpressionLevel ()
 Returns the reference level of this pendulum. More...
 
NXString Loading ()
 Returns the loading used with this pendulum. More...
 
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType Location ()
 Returns the location to use for positioning this pendulum. More...
 
NXString Name ()
 Returns the name of this pendulum. More...
 
NXOpen::ExpressionOffset ()
 Returns the side offset of this pendulum. More...
 
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType PendulumProfile ()
 Returns the pendulum profile of this pendulum. More...
 
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType PositionMethod ()
 Returns the method to use for positioning this pendulum. More...
 
void SetColor (NXOpen::NXColor *color)
 Sets the display color of this pendulum. More...
 
void SetLoading (const NXString &loading)
 Sets the loading used with this pendulum. More...
 
void SetLoading (const char *loading)
 Sets the loading used with this pendulum. More...
 
void SetLocation (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType location)
 Sets the location to use for positioning this pendulum. More...
 
void SetName (const NXString &name)
 Sets the name of this pendulum. More...
 
void SetName (const char *name)
 Sets the name of this pendulum. More...
 
void SetPendulumProfile (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType pendulumProfile)
 Sets the pendulum profile of this pendulum. More...
 
void SetPositionMethod (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType positionMethod)
 Sets the method to use for positioning this pendulum. More...
 
void SetShowPendulum (bool showPendulum)
 Sets the value indicating if this pendulum is displayed. More...
 
void SetShowPoint (bool showPoint)
 Sets the value indicating if the contact point (if any) between this pendulum and the bumper is displayed. More...
 
void SetSide (NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType side)
 Sets the side to use for positioning this pendulum. More...
 
NXOpen::ExpressionShift ()
 Returns the expression containing the amount to shift the pendulum from the contact point on the car. More...
 
bool ShowPendulum ()
 Returns the value indicating if this pendulum is displayed. More...
 
bool ShowPoint ()
 Returns the value indicating if the contact point (if any) between this pendulum and the bumper is displayed. More...
 
NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType Side ()
 Returns the side to use for positioning this pendulum. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This builder allows you to define the pendulum placement information for bumper pendulum features in vehicle design.

It represents NXOpen::Features::VehicleDesign::PendulumPlacementBuilder
This class is sub-object of another builder, and cannot be directly instantiated.

Created in NX8.5.0.

Member Enumeration Documentation

This enum represents the pendulum placement location options.

Enumerator
LocationTypeFront 

front

LocationTypeRear 

rear

This enum represents the pendulum placement profile options.

Enumerator
PendulumProfileTypeEu 

eu

PendulumProfileTypeUs 

us

This enum represents the pendulum placement method options.

Enumerator
PositionMethodTypeMiddleBaseData 

middle base data

PositionMethodTypeMiddleVehicle 

middle vehicle

PositionMethodTypeRotatedBaseData 

rotated base data

PositionMethodTypeRotatedPlane 

rotated plane

PositionMethodTypeRotatedPlaneX 

rotated plane x

PositionMethodTypeRotatedPlaneNormal 

rotated plane normal

PositionMethodTypeRotatedContact 

rotated contact

PositionMethodTypeShiftedBaseData 

shifted base data

PositionMethodTypeShiftedVehicle 

shifted vehicle

PositionMethodTypeShiftedFromRotated 

shifted from rotated

This enum represents the pendulum placement side options.

Enumerator
SideTypeLeft 

left

SideTypeRight 

right

Member Function Documentation

NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Angle ( )

Returns the rotation angle of this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::NXColor* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Color ( )

Returns the display color of this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Level ( )

Returns the reference level of this pendulum.


Created in NX8.5.0.

License requirements : None

NXString NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Loading ( )

Returns the loading used with this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Location ( )

Returns the location to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : None

NXString NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Name ( )

Returns the name of this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Offset ( )

Returns the side offset of this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfile ( )

Returns the pendulum profile of this pendulum.


Created in NX8.5.0.

License requirements : None

NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethod ( )

Returns the method to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : None

void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetColor ( NXOpen::NXColor color)

Sets the display color of this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
colorcolor
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLoading ( const NXString loading)

Sets the loading used with this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
loadingloading
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLoading ( const char *  loading)

Sets the loading used with this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
loadingloading
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetLocation ( NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::LocationType  location)

Sets the location to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
locationlocation
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetName ( const NXString name)

Sets the name of this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
namename
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetName ( const char *  name)

Sets the name of this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
namename
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetPendulumProfile ( NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PendulumProfileType  pendulumProfile)

Sets the pendulum profile of this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
pendulumProfilependulumprofile
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetPositionMethod ( NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::PositionMethodType  positionMethod)

Sets the method to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
positionMethodpositionmethod
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetShowPendulum ( bool  showPendulum)

Sets the value indicating if this pendulum is displayed.

A value of false will hide this pendulum.
Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
showPendulumshowpendulum
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetShowPoint ( bool  showPoint)

Sets the value indicating if the contact point (if any) between this pendulum and the bumper is displayed.

A value of false will hide the contact point.
Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
showPointshowpoint
void NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SetSide ( NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType  side)

Sets the side to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : nx_general_packaging ("NX General Packaging")

Parameters
sideside
NXOpen::Expression* NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Shift ( )

Returns the expression containing the amount to shift the pendulum from the contact point on the car.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::ShowPendulum ( )

Returns the value indicating if this pendulum is displayed.

A value of false will hide this pendulum.
Created in NX8.5.0.

License requirements : None

bool NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::ShowPoint ( )

Returns the value indicating if the contact point (if any) between this pendulum and the bumper is displayed.

A value of false will hide the contact point.
Created in NX8.5.0.

License requirements : None

NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::SideType NXOpen::Features::VehicleDesign::PendulumPlacementBuilder::Side ( )

Returns the side to use for positioning this pendulum.


Created in NX8.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.